import { createApp } from 'vue'
import { createPinia } from 'pinia'
import { createI18n } from 'vue-i18n'
import App from './App.vue'
import router from './router'
import hu from './i18n/hu'
import en from './i18n/en'
import './assets/main.css'

const messages = {
  hu,
  en,
}

const i18n = createI18n({
  legacy: false,
  locale: 'hu',
  fallbackLocale: 'en',
  messages,
})

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(i18n)

app.mount('#app')
